"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
var UnitTimes = require("../unit-times");
/**
 * The derived unit for electric charge, quantity of electricity ( <code>C</code> ).
 * One Coulomb is equal to the quantity of charge transferred in one second by a steady current of one ampere.
 * It is named after the French physicist Charles Augustin de Coulomb (1736-1806).
 */
exports.Coulomb = UnitTimes.durationByElectricCurrent("Coulomb", core_1.BaseUnits.Second, core_1.BaseUnits.Ampere);
//# sourceMappingURL=electric-charge.js.map