"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
var UnitDivide = require("../unit-divide");
var electric_potential_1 = require("./electric-potential");
/**
 * The derived unit for electric conductance ( <code>S</code> ).
 * One Siemens is equal to one ampere per volt.
 * It is named after the German engineer Ernst Werner von Siemens (1816-1892).
 */
exports.Siemens = UnitDivide.electricalCurrentByElectricalPotential("Siemens", core_1.BaseUnits.Ampere, electric_potential_1.Volt);
//# sourceMappingURL=electric-conductance.js.map