"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
var UnitDivide = require("../unit-divide");
var electric_potential_1 = require("./electric-potential");
/**
 * The derived unit for electric resistance ( <code>Ω</code> or <code>Ohm</code> ).
 * One Ohm is equal to the resistance of a conductor in which a current of one ampere is produced
 * by a potential of one volt across its terminals.
 * It is named after the German physicist Georg Simon Ohm (1789-1854).
 */
exports.Ohm = UnitDivide.electricalPotentialByElectricalCurrent("Ohm", electric_potential_1.Volt, core_1.BaseUnits.Ampere);
// Electric resistance
exports.KiloOhm = core_1.UnitPrefix.Kilo("KiloOhm", exports.Ohm);
//# sourceMappingURL=electric-resistance.js.map