"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
// import { Kilogram } from "./base-units";
var UnitTimes = require("../unit-times");
var acceleration_1 = require("./acceleration");
/**
 * The derived unit for force ( <code>N</code> ).
 * One newton is the force required to give a mass of 1 kilogram an Force of 1 metre per second per second.
 * It is named after the English mathematician and physicist Sir Isaac Newton (1642-1727).
 */
exports.Newton = UnitTimes.massByAcceleration("Newton", core_1.BaseUnits.Kilogram, acceleration_1.MeterPerSquareSecond);
// Force
exports.PoundForce = core_1.Unit.divideNumber("PoundForce", 8896443230521.0, core_1.Unit.timesNumber("", 2000000000000.0, exports.Newton));
//# sourceMappingURL=force.js.map