"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
/** Equivalent to <code>KILO(METER)</code>. */
exports.Kilometer = core_1.UnitPrefix.Kilo("Kilometer", core_1.BaseUnits.Meter);
/** Equivalent to <code>CENTI(METRE)</code>. */
exports.CentiMeter = core_1.UnitPrefix.Centi("CentiMeter", core_1.BaseUnits.Meter);
/** Equivalent to <code>MILLI(METRE)</code>. */
exports.Millimeter = core_1.UnitPrefix.Milli("Millimeter", core_1.BaseUnits.Meter);
// Length
exports.Foot = core_1.Unit.timesNumber("Foot", 0.3048, core_1.BaseUnits.Meter);
exports.Yard = core_1.Unit.timesNumber("Yard", 3.0, exports.Foot);
exports.Inch = core_1.Unit.divideNumber("Inch", 12.0, exports.Foot);
exports.Mile = core_1.Unit.timesNumber("Mile", 5280.0, exports.Foot);
exports.Decimeter = core_1.UnitPrefix.Deci("Decimeter", core_1.BaseUnits.Meter);
//# sourceMappingURL=length.js.map