"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
var UnitTimes = require("../unit-times");
var solid_angle_1 = require("./solid-angle");
/**
 * The derived unit for luminous flux ( <code>lm</code> ).
 * One Lumen is equal to the amount of light given out through a solid angle by a source of one
 * candela intensity radiating equally in all directions.
 */
exports.Lumen = UnitTimes.luminousIntensityBySolidAngle("Lumen", core_1.BaseUnits.Candela, solid_angle_1.Steradian);
//# sourceMappingURL=luminous-flux.js.map