"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
var UnitTimes = require("../unit-times");
var electric_potential_1 = require("./electric-potential");
/**
 * The derived unit for magnetic flux ( <code>Wb</code> ).
 * One Weber is equal to the magnetic flux that in linking a circuit of one turn produces in it an
 * electromotive force of one volt as it is uniformly reduced to zero within one second.
 * It is named after the German physicist Wilhelm Eduard Weber (1804-1891).
 */
exports.Weber = UnitTimes.electricalPotentialByDuration("Weber", electric_potential_1.Volt, core_1.BaseUnits.Second);
//# sourceMappingURL=magnetic-flux.js.map