"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
var UnitDivide = require("../unit-divide");
// import { Second, Kilogram } from "./base-units";
var mass_1 = require("./mass");
var duration_1 = require("./duration");
// MassFlow
exports.KilogramPerSecond = UnitDivide.massByDuration("KilogramPerSecond", core_1.BaseUnits.Kilogram, core_1.BaseUnits.Second);
exports.GramPerSecond = UnitDivide.massByDuration("GramPerSecond", mass_1.Gram, core_1.BaseUnits.Second);
exports.GramPerHour = UnitDivide.massByDuration("GramPerHour", mass_1.Gram, duration_1.Hour);
exports.KilogramPerHour = UnitDivide.massByDuration("KilogramPerHour", core_1.BaseUnits.Kilogram, duration_1.Hour);
exports.SlugPerSecond = UnitDivide.massByDuration("SlugPerSecond", mass_1.Slug, core_1.BaseUnits.Second);
exports.SlugPerHour = UnitDivide.massByDuration("SlugPerHour", mass_1.Slug, duration_1.Hour);
exports.PoundLbPerHour = UnitDivide.massByDuration("PoundLbPerHour", mass_1.PoundLb, duration_1.Hour);
exports.PoundLbPerSecond = UnitDivide.massByDuration("PoundLbPerSecond", mass_1.PoundLb, core_1.BaseUnits.Second);
exports.GrainPerHour = UnitDivide.massByDuration("GrainPerHour", mass_1.Grain, duration_1.Hour);
exports.GrainPerSecond = UnitDivide.massByDuration("GrainPerSecond", mass_1.Grain, core_1.BaseUnits.Second);
exports.StandardCubicMeterPerHour = core_1.Unit.timesNumber("StandardCubicMeterPerHour", 1.2041, exports.KilogramPerHour);
exports.StandardCubicFeetPerMinute = core_1.Unit.timesNumber("StandardCubicFeetPerMinute", 0.02831684660923049289319782819867, core_1.Unit.timesNumber("", 60.0, exports.StandardCubicMeterPerHour));
exports.StandardCubicMeterPerSecond = core_1.Unit.timesNumber("StandardCubicMeterPerSecond", 3600.0, exports.StandardCubicMeterPerHour);
exports.StandardLiterPerSecond = core_1.Unit.timesNumber("StandardLiterPerSecond", 3600 / 1000, exports.StandardCubicMeterPerHour);
//# sourceMappingURL=mass-flow.js.map