"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
// import { Kilogram } from "./base-units";
var core_1 = require("../../core");
/** The derived unit for mass quantities ( <code>g</code> ).
 * The base unit for mass quantity is {@link #Kilogram}.
 */
exports.Gram = core_1.Unit.divideNumber("Gram", 1000.0, core_1.BaseUnits.Kilogram);
/// Mass
exports.PoundLb = core_1.Unit.divideNumber("PoundLb", 100000000.0 / 45359237.0, core_1.BaseUnits.Kilogram);
// http://www.wolframalpha.com/input/?i=kg
exports.Grain = core_1.Unit.divideNumber("Grain", 100000000000.0 / 6479891.0, core_1.BaseUnits.Kilogram);
// http://www.wolframalpha.com/input/?i=grain
exports.Slug = core_1.Unit.timesNumber("Slug", 14.5939, core_1.BaseUnits.Kilogram);
exports.Tonne = core_1.Unit.timesNumber("Tonne", 1000.0, core_1.BaseUnits.Kilogram);
exports.MilliGram = core_1.UnitPrefix.Milli("MilliGram", exports.Gram);
//# sourceMappingURL=mass.js.map