"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
/**
 * The derived unit for Celsius temperature ( <code>℃</code> ).
 * This is a unit of temperature such as the freezing point of water (at one atmosphere of pressure)
 * is 0 ℃, while the boiling point is 100 ℃.
 */
exports.Celsius = core_1.Unit.plus("Celsius", 273.15, core_1.BaseUnits.Kelvin);
exports.Rankine = core_1.Unit.divideNumber("Rankine", 9.0, core_1.Unit.timesNumber("", 5.0, core_1.BaseUnits.Kelvin));
exports.Fahrenheit = core_1.Unit.plus("Fahrenheit", 459.67, core_1.Unit.divideNumber("", 9.0, core_1.Unit.timesNumber("", 5.0, core_1.BaseUnits.Kelvin)));
//# sourceMappingURL=temperature.js.map