"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("../../core");
var length_1 = require("./length");
var unit_cubed_1 = require("../unit-cubed");
/** The metric unit for volume quantities ( <code>m³</code> ). */
exports.CubicMeter = unit_cubed_1.Cubed("CubicMeter", core_1.BaseUnits.Meter);
// Volume
exports.CubicCentiMeter = unit_cubed_1.Cubed("CubicCentiMeter", length_1.CentiMeter);
exports.CubicInch = unit_cubed_1.Cubed("CubicInch", length_1.Inch);
exports.CubicFeet = unit_cubed_1.Cubed("CubicFeet", length_1.Foot);
exports.HundredCubicFeet = core_1.Unit.timesNumber("HundredCubicFeet", 100.0, exports.CubicFeet);
exports.Liter = core_1.Unit.divideNumber("Liter", 1000.0, exports.CubicMeter);
exports.MilliLiter = core_1.UnitPrefix.Milli("MilliLiter", exports.Liter);
exports.Gallon = core_1.Unit.timesNumber("Gallon", 3.785, exports.Liter);
//# sourceMappingURL=volume.js.map