import { Unit } from "../core";
import * as Units from "./units";
export declare function volumeByDuration(name: string, left: Unit.Unit<Units.Volume>, right: Unit.Unit<Units.Duration>): Unit.Unit<Units.VolumeFlow>;
export declare function volumeFlowBySquareRootPressure(name: string, left: Unit.Unit<Units.VolumeFlow>, right: Unit.Unit<Units.SquareRootPressure>): Unit.Unit<Units.VolumeFlowPerSquareRootPressure>;
export declare function lengthByDuration(name: string, left: Unit.Unit<Units.Length>, right: Unit.Unit<Units.Duration>): Unit.Unit<Units.Velocity>;
export declare function velocityBySecond(name: string, left: Unit.Unit<Units.Velocity>, right: Unit.Unit<Units.Duration>): Unit.Unit<Units.Acceleration>;
export declare function amountOfSubstanceByDuration(name: string, left: Unit.Unit<Units.AmountOfSubstance>, right: Unit.Unit<Units.Duration>): Unit.Unit<Units.CatalyticActivity>;
export declare function massByVolume(name: string, left: Unit.Unit<Units.Mass>, right: Unit.Unit<Units.Volume>): Unit.Unit<Units.Density>;
export declare function electricChargeByElectricPotential(name: string, left: Unit.Unit<Units.ElectricCharge>, right: Unit.Unit<Units.ElectricPotential>): Unit.Unit<Units.ElectricCapacitance>;
export declare function energyByDuration(name: string, left: Unit.Unit<Units.Energy>, right: Unit.Unit<Units.Duration>): Unit.Unit<Units.Power>;
export declare function powerByElectricalCurrent(name: string, left: Unit.Unit<Units.Power>, right: Unit.Unit<Units.ElectricCurrent>): Unit.Unit<Units.ElectricPotential>;
export declare function electricalCurrentByElectricalPotential(name: string, left: Unit.Unit<Units.ElectricCurrent>, right: Unit.Unit<Units.ElectricPotential>): Unit.Unit<Units.ElectricConductance>;
export declare function magneticFluxByElectricalCurrent(name: string, left: Unit.Unit<Units.MagneticFlux>, right: Unit.Unit<Units.ElectricCurrent>): Unit.Unit<Units.ElectricInductance>;
export declare function electricalPotentialByElectricalCurrent(name: string, left: Unit.Unit<Units.ElectricPotential>, right: Unit.Unit<Units.ElectricCurrent>): Unit.Unit<Units.ElectricResistance>;
export declare function dimentionlessByDuration(name: string, left: Unit.Unit<Unit.Dimensionless>, right: Unit.Unit<Units.Duration>): Unit.Unit<Units.Frequency>;
export declare function luminousFluxByArea(name: string, left: Unit.Unit<Units.LuminousFlux>, right: Unit.Unit<Units.Area>): Unit.Unit<Units.Illuminance>;
export declare function magneticFluxByArea(name: string, left: Unit.Unit<Units.MagneticFlux>, right: Unit.Unit<Units.Area>): Unit.Unit<Units.MagneticFluxDensity>;
export declare function massByDuration(name: string, left: Unit.Unit<Units.Mass>, right: Unit.Unit<Units.Duration>): Unit.Unit<Units.MassFlow>;
export declare function forceByArea(name: string, left: Unit.Unit<Units.Force>, right: Unit.Unit<Units.Area>): Unit.Unit<Units.Pressure>;
export declare function energyByMass(name: string, left: Unit.Unit<Units.Energy>, right: Unit.Unit<Units.Mass>): Unit.Unit<Units.SpecificEnthalpy>;
export declare function powerByVolumeFlow(name: string, left: Unit.Unit<Units.Power>, right: Unit.Unit<Units.VolumeFlow>): Unit.Unit<Units.SpecificFanPower>;
export declare function powerByTemperature(name: string, left: Unit.Unit<Units.Power>, right: Unit.Unit<Units.Temperature>): Unit.Unit<Units.HeatCapacityRate>;
export declare function massByMass(name: string, left: Unit.Unit<Units.Mass>, right: Unit.Unit<Units.Mass>): Unit.Unit<Units.HumidityRatio>;
export declare function dimensionlessByVolume(name: string, left: Unit.Unit<Unit.Dimensionless>, right: Unit.Unit<Units.Volume>): Unit.Unit<Units.DimensionlessPerVolume>;
export declare function dimensionlessByEnergy(name: string, left: Unit.Unit<Unit.Dimensionless>, right: Unit.Unit<Units.Energy>): Unit.Unit<Units.DimensionlessPerEnergy>;
export declare function dimensionlessByDuration(name: string, left: Unit.Unit<Unit.Dimensionless>, right: Unit.Unit<Units.Duration>): Unit.Unit<Units.DimensionlessPerDuration>;
export declare function powerByArea(name: string, left: Unit.Unit<Units.Power>, right: Unit.Unit<Units.Area>): Unit.Unit<Units.Intensity>;
export declare function volumeByEnergy(name: string, left: Unit.Unit<Units.Volume>, right: Unit.Unit<Units.Energy>): Unit.Unit<Units.WaterUseEfficiency>;
export declare function massByEnergy(name: string, left: Unit.Unit<Units.Mass>, right: Unit.Unit<Units.Energy>): Unit.Unit<Units.Emission>;
export declare function massFlowByArea(name: string, left: Unit.Unit<Units.MassFlow>, right: Unit.Unit<Units.Area>): Unit.Unit<Units.MassFlowPerArea>;
export declare function energyByVolume(name: string, left: Unit.Unit<Units.Energy>, right: Unit.Unit<Units.Volume>): Unit.Unit<Units.HeatingValue>;
export declare function volumeFlowByPower(name: string, left: Unit.Unit<Units.VolumeFlow>, right: Unit.Unit<Units.Power>): Unit.Unit<Units.VolumeFlowPerPower>;
export declare function volumeFlowByArea(name: string, left: Unit.Unit<Units.VolumeFlow>, right: Unit.Unit<Units.Area>): Unit.Unit<Units.VolumeFlowPerArea>;
export declare function dimensionlessByMass(name: string, left: Unit.Unit<Unit.Dimensionless>, right: Unit.Unit<Units.Mass>): Unit.Unit<Units.DimensionlessPerMass>;
export declare function powerByDeltaTemperature(name: string, left: Unit.Unit<Units.Power>, right: Unit.Unit<Units.DeltaTemperature>): Unit.Unit<Units.HeatCapacityRate>;
export declare function intensityByDeltaTemperature(name: string, left: Unit.Unit<Units.Intensity>, right: Unit.Unit<Units.DeltaTemperature>): Unit.Unit<Units.ThermalTransmittance>;
export declare function heatCapacityRateByLength(name: string, left: Unit.Unit<Units.HeatCapacityRate>, right: Unit.Unit<Units.Length>): Unit.Unit<Units.ThermalConductivity>;
