import { Unit } from "../../core";
export declare type Frequency = "Frequency";
/**
 * The derived unit for frequency ( <code>Hz</code> ).
 * A unit of frequency equal to one cycle per second. After Heinrich Rudolf Hertz (1857-1894),
 * German physicist who was the first to produce radio waves artificially.
 */
export declare const Hertz: Unit.Unit<"Frequency">;
/**
 * The derived unit for activity of a radionuclide ( <code>Bq</code> ).
 * One becquerel is the radiation caused by one disintegration per second.
 * It is named after the French physicist, Antoine-Henri Becquerel (1852-1908).
 */
export declare const Becquerel: Unit.Unit<"Frequency">;
export declare const RevolutionsPerMinute: Unit.Unit<"Frequency">;
export declare const RevolutionsPerHour: Unit.Unit<"Frequency">;
